Java Compiler Level not match Java Project facet

Java Compiler Level not match Java Project facet

Java compiler level does not match the version of the installed Java Project Facet

Above problem occurs when project version of java build on and your eclipse version java does not match. To sort out this issue please follow bellow steps:

  • Right click your project –> Properties

Java Compiler Level not match Java Project facet

  • On next window select project Facets — Java and change java version form the drop down with your eclipse java version then click OK.

Java Compiler Level not match Java Project facet

  • Above should fix the issue and you should be OK.

Leave a Reply

Your email address will not be published. Required fields are marked *